Skip to main content
GET
/
api
/
v1
/
ops
/
company-credit-account
Get Company Credit Account
curl --request GET \
  --url https://api.example.com/api/v1/ops/company-credit-account \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/api/v1/ops/company-credit-account"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/api/v1/ops/company-credit-account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "companyCreditAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "purchasedAmount": 123,
  "allocatedAmount": 123,
  "availableAmount": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}
{
"message": "Missing or invalid access token",
"statusCode": 401
}
{
"message": "Insufficient permissions",
"statusCode": 403
}
{
"message": "Internal Server Error",
"statusCode": 500
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

fields
string

Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.

Response

OK

Company credit account

companyCreditAccountId
string<uuid>
required
organizationId
string<uuid>
required
companyId
string<uuid>
required
purchasedAmount
integer
required
allocatedAmount
integer
required
availableAmount
integer
required
status
enum<string>
required
Available options:
ACTIVE,
SUSPENDED,
CLOSED
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
createdBy
string<uuid> | null
updatedBy
string<uuid> | null